curl --request GET \
--url https://api.leadping.ai/sources/{id}/metrics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/sources/{id}/metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/sources/{id}/metrics");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/sources/{id}/metrics")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/sources/{id}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/sources/{id}/metrics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/sources/{id}/metrics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"range": {
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"bucketSize": 3
},
"totalLeads": 123,
"totalErrors": 123,
"points": [
{
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"value": 123
}
],
"errorPoints": [
{
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"value": 123
}
],
"generatedAt": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Get lead metrics for a source
View lead creation metrics for an organization intake source, including accepted, rejected, duplicate, validation, and recent activity counts.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Path Parameters
The ID of the source to retrieve metrics for.
Query Parameters
Optional start date/time for the metric range.
Optional end date/time for the metric range.
Optional rolling day count when explicit dates are not provided.
Response
OK
Aggregates lead volume, conversion, delivery, and activity metrics attributed to a Leadping source over the requested reporting period.
Range associated with this Leadping source metrics.
Show child attributes
Show child attributes
Total number of leads records represented by this Leadping source metrics.
Total number of lead intake errors represented by this Leadping source metrics.
Collection of points included with this Leadping source metrics.
Show child attributes
Show child attributes
Collection of lead intake error points included with this Leadping source metrics.
Show child attributes
Show child attributes
Date and time when the source metrics was generated.

